Cygnal

Cygnal Gemini Generate

POST
/cygnal/v1beta/models/{model}:generateContent

Create Gemini-compatible generateContent responses with Cygnal protection.

Docs: Guide | API Reference

Path Parameters

model*Model

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/cygnal/v1beta/models/string:generateContent"
{  "id": "string",  "candidates": [    {      "id": "string",      "content": {        "parts": [          {            "text": "string"          }        ],        "role": "string"      },      "finish_reason": "string",      "index": 0,      "safety_ratings": [        {          "category": "string",          "probability": "string",          "blocked": true        }      ]    }  ],  "prompt_feedback": {    "safety_ratings": [      {        "category": "string",        "probability": "string",        "blocked": true      }    ]  },  "usage_metadata": {    "prompt_token_count": 0,    "candidates_token_count": 0,    "total_token_count": 0  }}